package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorDisplayItem;
import com.loafle.overflow.model.meta.MetaSensorDisplayMapping;
import com.loafle.overflow.model.meta.MetaSensorItemKey;

import java.util.List;

/**
 * Created by snoop on 18. 4. 24.
 */
public interface MetaSensorDisplayMappingService {
    @WebappAPI
    MetaSensorDisplayMapping regist(MetaSensorDisplayMapping m) throws OverflowException;

    @WebappAPI
    List<MetaSensorItemKey> readAllMetaSensorItemKeyByDisplayItem(MetaSensorDisplayItem displayItem) throws OverflowException;
}
